#
# spec file for package perl-Net-Twitter-Lite
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-Twitter-Lite
Version:        0.12006
Release:        2.1
%define cpan_name Net-Twitter-Lite
Summary:        Perl Interface to the Twitter Api
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-Twitter-Lite/
Source0:        http://www.cpan.org/authors/id/M/MM/MMIMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Crypt::SSLeay) >= 0.5
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(JSON) >= 2.02
BuildRequires:  perl(LWP::UserAgent) >= 2.032
BuildRequires:  perl(Module::Build) >= 0.360100
BuildRequires:  perl(Net::HTTP) >= 6.06
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Simple) >= 0.98
BuildRequires:  perl(URI) >= 1.40
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(parent)
Requires:       perl(Crypt::SSLeay) >= 0.5
Requires:       perl(HTTP::Request::Common)
Requires:       perl(JSON) >= 2.02
Requires:       perl(LWP::UserAgent) >= 2.032
Requires:       perl(Net::HTTP) >= 6.06
Requires:       perl(URI) >= 1.40
Requires:       perl(URI::Escape)
Requires:       perl(parent)
Recommends:     perl(Net::OAuth) >= 0.25
%{perl_requires}

%description
This module provides a perl interface to the Twitter API v1.

It uses the same API definitions as Net::Twitter, but without the extra
bells and whistles and without the additional dependencies. Same great
taste, less filling.

This module is related to, but is not part of the 'Net::Twitter'
distribution. It's API methods and API method documentation are generated
from 'Net::Twitter''s internals. It exists for those who cannot, or prefer
not to install Moose and its dependencies.

You should consider upgrading to 'Net::Twitter' for additional
functionality, finer grained control over features, backwards compatibility
with older versions of 'Net::Twitter', and additional error handling
options.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Thu Jun  2 2016 coolo@suse.com
- updated to 0.12006
  see /usr/share/doc/packages/perl-Net-Twitter-Lite/Changes
  0.12006 2014-01-24
  - Added WrapResult: return both the Twitter result and HTTP::Response
  0.12005 2014-01-17
  - Twitter now requires SSL connections
  0.12004 2013-05-03
  - restore list_subscriptions
  0.12003 2013-04-25
  - Added list_ownerships
  0.12002 2013-03-11
  - 30 second delay in OAuth requests fixed with Net::HTTP 6.06
  0.12001 2013-03-06
  - Fixed tests (Net::OAuth is optional) (closses issue #7)
  - Updated examples to use Twitter API v1.1
  0.12000 2013-03-04
  - URI encode POSTDATA to match Twitter's more stringent (non-standard) requirements
  - created Net::Twitter::Lite::WithAPIv1_1 for Twitter API v1.1 support
  0.11002 2012-06-27
  - rebuilt from Net::Twitter 3.18003 to fix replies, mentions path
  0.11001 2012-05-08
  - CPAN release
  0.11000_01 2012-04-24
  - functional parity with Net::Twitter 3.18002
  - Replaced JSON::Any with JSON
  - new lists methods, legacy_lists_api option for back compat
  - update_with_media and other new API methods ported from Net::Twitter
* Tue Apr 24 2012 pascal.bleser@opensuse.org
- initial version (0.10004)
